CREATE PROCEDURE RemoveMediaEntry @EntryID integer
AS
DELETE FROM ImageEntry
WHERE EntryID = @EntryID;
DELETE FROM AudioEntry
WHERE EntryID = @EntryID;
DELETE FROM VideoEntry
WHERE EntryID = @EntryID;
DELETE FROM Thumbnail
WHERE EntryID = @EntryID;
DELETE FROM Comment
WHERE PageID = @EntryID;
DELETE FROM ContentPage
WHERE PageID = @EntryID;
DELETE FROM MediaEntry
WHERE EntryID = @EntryID;
GO